NamingUtilityCache (CMDB Model API)
Keywords: com.collation.platform.model.util.NamingUtilityCache class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.util
Class NamingUtilityCache

    java.lang.Object
      com.collation.platform.model.util.NamingUtilityCache

    public class NamingUtilityCache

extends java.lang.Object

NamingUtilityCache Maintains a cache of Meta data Provides the following mappings 1) Object Type -> Naming Rules 2) Object Type -> Base Class 3) Object Type -> List of attributes that are pointers to contained objects /

Constructor Summary
`NamingUtilityCache(java.util.List objectClassList)` Constructor accepts a list of ObjectClass objects and stores the relevant data in HashMaps

Method Summary
`java.lang.String` | `getBaseClass(java.lang.String objCls)` getBaseClass accepts the name of the class and returns the baseClass for that class
`java.util.HashMap` | `getImplicitLinks(java.lang.String objCls)` getImplicitLinks accepts the name of the class and returns a HashMap of attribute names to a true/false mapping
`NamingRule[]` | `getNamingRules(java.lang.String objCls)` getNamingRules accepts the name of the class and returns the NamingRules for that class
`java.util.HashMap` | `getObjectLinks(java.lang.String objCls)` getObjectLinks accepts the name of the class and returns a HashMap of attribute names to a true/false mapping

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NamingUtilityCache

    public NamingUtilityCache(java.util.List objectClassList)

  Constructor accepts a list of ObjectClass objects and stores the relevant data in HashMaps

  Parameters:
    `objectClassList` - ArrayList of ObjectClass objects /

Method Detail

### getNamingRules

    public NamingRule[] getNamingRules(java.lang.String objCls)

  getNamingRules accepts the name of the class and returns the NamingRules for that class

  Parameters:
    `objCls` - String - name of the class
  Returns:
    Array of NamingRule /

### getBaseClass

    public java.lang.String getBaseClass(java.lang.String objCls)

  getBaseClass accepts the name of the class and returns the baseClass for that class

  Parameters:
    `objCls` - String - name of the class
  Returns:
    String baseClass name /

### getObjectLinks

    public java.util.HashMap getObjectLinks(java.lang.String objCls)

  getObjectLinks accepts the name of the class and returns a HashMap of attribute names to a true/false mapping

  Parameters:
    `objCls` - String - name of the class
  Returns:
    HashMap - Map of attribute names to a true/false mapping

### getImplicitLinks

    public java.util.HashMap getImplicitLinks(java.lang.String objCls)

  getImplicitLinks accepts the name of the class and returns a HashMap of attribute names to a true/false mapping

  Parameters:
    `objCls` - String - name of the class
  Returns:
    HashMap - Map of attribute names to a true/false mapping

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD